Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Ambari Insall ,start test failed 2.1 and HDP 2.1

Solved Go to solution

Ambari Insall ,start test failed 2.1 and HDP 2.1

Expert Contributor

6375-s7jnm.png

Metrics Collector Install stderr: /var/lib/ambari-agent/data/errors-214.txt

Traceback (most recent call last): File

"/var/lib/ambari-agent/cache/stacks/HDP/2.0.6/hooks/before-INSTALL/scripts/hook.py", line 38,

in <module> BeforeInstallHook().execute() File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py", line 218, in execute method(env) File "

/var/lib/ambari-agent/cache/stacks/HDP/2.0.6/hooks/before-INSTALL/scripts/hook.py", line 34,

in hook install_packages() File "/var/lib/ambari-agent/cache/stacks/HDP/2.0.6/hooks/before-INSTALL/scripts/shared_initialization.py", line 87,

in install_packages Package(packages) File "/usr/lib/python2.6/site-packages/resource_management/core/base.py", line 116, in __new__ cls(name.pop(0), env, provider, **kwargs)

File "/usr/lib/python2.6/site-packages/resource_management/core/base.py", line 157, in __init__ self.env.run()

File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line 152, in run self.run_action(resource, action)

File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line 118, in run_action provider_action() File "/usr/lib/python2.6/site-packages/resource_management/core/providers/package/__init__.py", line 45, in action_install self.install_package(package_name, self.resource.use_repos, self.resource.skip_repos)

File "/usr/lib/python2.6/site-packages/resource_management/core/providers/package/yumrpm.py", line 49, in install_package shell.checked_call(cmd, sudo=True, logoutput=self.get_logoutput()) File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 70, in inner result = function(command, **kwargs)

File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 92, in checked_call tries=tries, try_sleep=try_sleep) File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 140, in _call_wrapper result = _call(command, **kwargs_copy)

File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 291, in _call raise Fail(err_msg) resource_management.core.exceptions.Fail: Execution of '/usr/bin/yum -d 0 -e 0 -y install unzip' returned 1. Error Downloading Packages: unzip-6.0-4.el6.x86_64: failure: Packages/unzip-6.0-4.el6.x86_64.rpm from base: [Errno 256] No more mirrors to try.

stdout: /var/lib/ambari-agent/data/output-214.txt

2016-08-04 20:38:20,757 -

Directory['/var/lib/ambari-agent/data/tmp/AMBARI-artifacts/'] {'recursive': True} 2016-08-04 20:38:20,760 - File['/var/lib/ambari-agent/data/tmp/AMBARI-artifacts//jce_policy-8.zip'] {'content':

1 ACCEPTED SOLUTION

Accepted Solutions

Re: Ambari Insall ,start test failed 2.1 and HDP 2.1

Expert Contributor

There was dependency rpm packages installed the following and everything went fine.

Install all dependent packages

bash# install mpfr-2.4.1 tzdata-2016f

bash# install tzdata-2016f

bash# install libgomp ppl

bash# install libgc cpp gcc

bash# yum install java# yum install python-devel-2.6.6-64.el6.x86_64

6429-bnrw1.png

5 REPLIES 5
Highlighted

Re: Ambari Insall ,start test failed 2.1 and HDP 2.1

New Contributor

Check your Linux box and see if it has connectivity to your repo . yum is failing to get the package from the repo.

grep -i baseurl /etc/yum.repos.d/*.repos each result will be a url that all of your linux boxes will need access to via the network.

yum clean all

yum repolist -v

yum install unzip

Re: Ambari Insall ,start test failed 2.1 and HDP 2.1

Expert Contributor

Thanks for your reply ,

i was a dependent for below rpm installed all

Connected to internet and installed below

bash# install mpfr-2.4.1 tzdata-2016f bash# install tzdata-2016f bash# install libgomp ppl bash# install libgc cpp gcc bash# yum install java

Now i am getting this error

6425-ig6st.png

Re: Ambari Insall ,start test failed 2.1 and HDP 2.1

Expert Contributor

I am using Ambari 2.1 and HDP 2.1 is correct i am using ?

6426-zw8x6.png

Re: Ambari Insall ,start test failed 2.1 and HDP 2.1

Expert Contributor

2016-08-06 20:30:21,916 - Directory['/var/log/zookeeper'] {'owner': 'zookeeper', 'group': 'hadoop', 'recursive': True} 2016-08-06 20:30:21,917 - Directory['/hadoop/zookeeper'] {'owner': 'zookeeper', 'group': 'hadoop', 'recursive': True, 'cd_access': 'a'} 2016-08-06 20:30:21,917 - File['/etc/zookeeper/conf/log4j.properties'] {'content': '...', 'owner': 'zookeeper', 'group': 'hadoop', 'mode': 0644}

  1. 2016-08-06 20:30:21,918 - File['/etc/zookeeper/conf/zoo_sample.cfg'] {'owner': 'zookeeper', 'group': 'hadoop'}
    1. 2016-08-06 20:30:22,093 - Can only link configs for HDP-2.3 and higher.

[root@centos data]# [root@centos data]#

Re: Ambari Insall ,start test failed 2.1 and HDP 2.1

Expert Contributor

There was dependency rpm packages installed the following and everything went fine.

Install all dependent packages

bash# install mpfr-2.4.1 tzdata-2016f

bash# install tzdata-2016f

bash# install libgomp ppl

bash# install libgc cpp gcc

bash# yum install java# yum install python-devel-2.6.6-64.el6.x86_64

6429-bnrw1.png